## InfdXmlServer

InfdXmlServer

## Functions

void | infd_xml_server_close ()
void | infd_xml_server_new_connection ()

## Properties

InfdXmlServerStatus | status | Read

## Signals

void | new-connection | Run Last

## Types and Values

| InfdXmlServer
struct | InfdXmlServerInterface
enum | InfdXmlServerStatus

## Object Hierarchy

        GEnum
        ╰── InfdXmlServerStatus
        GInterface
        ╰── InfdXmlServer

## Prerequisites

InfdXmlServer requires GObject.

## Known Implementations

InfdXmlServer is implemented by InfdXmppServer.

## Description

## Functions

### infd_xml_server_close ()

    void
    infd_xml_server_close (InfdXmlServer *server);

Closes `server` .

#### Parameters

server | A InfdXmlServer. |

### infd_xml_server_new_connection ()

    void
    infd_xml_server_new_connection (InfdXmlServer *server,
                                    InfXmlConnection *connection);

Emits the "new-connection" signal on `server` .

#### Parameters

server | A InfdXmlServer. |
connection | A InfXmlConnection. |

## Types and Values

### InfdXmlServer

    typedef struct _InfdXmlServer InfdXmlServer;

### struct InfdXmlServerInterface

    struct InfdXmlServerInterface {
      GTypeInterface parent;

      /* Virtual Table */
      void (*close)(InfdXmlServer* server);

      /* Signals */
      void (*new_connection)(InfdXmlServer* server,
                             InfXmlConnection* connection);
    };

### enum InfdXmlServerStatus

#### Members

INFD_XML_SERVER_CLOSED |  |
INFD_XML_SERVER_CLOSING |  |
INFD_XML_SERVER_OPEN |  |
INFD_XML_SERVER_OPENING |  |

## Property Details

### The `“status”` property

      “status”                   InfdXmlServerStatus

The status of the server.

Owner: InfdXmlServer

Flags: Read

Default value: INFD_XML_SERVER_CLOSED

## Signal Details

### The `“new-connection”` signal

    void
    user_function (InfdXmlServer    *infdxmlserver,
                   InfXmlConnection *arg1,
                   gpointer          user_data)

Flags: Run Last